<ion-header>
  <ion-toolbar class="backazul">
    <ion-row class="backazul">
      <ion-col size="2" class="ion-text-center">
        <ion-icon name="arrow-back-sharp" style="font-size: 27px;color: #ffffff;font-weight: bolder;" routerLink="/tabs/tab1"></ion-icon>
      </ion-col>
      <ion-col size="8" class="ion-text-center">
          <h1 style="color: white;margin:0px;font-weight: 400;">CHECK OUT</h1>
      </ion-col>
      <ion-col size="2">
      </ion-col>
    </ion-row>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-row class="pad ion-margin-top mb-20">
      <ion-col size="12" class="ion-text-center mt-20 mb-20">
        <h1 style="text-transform: capitalize;">{{nombreE}}</h1>
      </ion-col>
      <ion-col size="6" class="ion-text-center mt-20">
        <ion-label color="primary" style="font-weight: bolder;">Check-in</ion-label><br>
        <span>{{(checkin).substring(0,5)}} Hrs.</span>
      </ion-col>
      <ion-col size="6" class="ion-text-center mt-20">
        <ion-label color="primary" style="font-weight: bolder;">Check-out</ion-label><br>
        <span>{{horainput}}</span>
      </ion-col>
      <ion-col size="12" class="ion-text-center mt-20">
        <ion-item [routerLink]="['/tabs/tab1/nueva-citaout',idcita,checkin,nombreE,idcheckin]">
          <input type="checkbox" id="vehicle2" name="vehicle2" value="Bike">
          <ion-label for="vehicle2">Agendar nueva cita</ion-label>
        </ion-item>
      </ion-col>
    </ion-row>

    <ion-row class="ion-margin-bottom mt-50">
      <ion-col size="12" class="ion-text-center">
        <ion-button class="btn-azul" (click)="checkout()">
          <ion-icon name="save-sharp"></ion-icon>
          GUARDAR
        </ion-button>
      </ion-col>
    </ion-row>
    <ion-row class="pad ion-margin-top mt-30 px-20">
      <ion-col size="12" class="ion-text-left" *ngIf = "citas.length > 0">
        <h3 class="text-azul">Historial de citas</h3>
      </ion-col>
      <ion-col size="12" class="ion-text-left" *ngIf = "citas.length > 0">
        <ion-row>
          <ion-col size="6" class="ion-text-center">
            <span class="textotitulo">Asesor</span>
          </ion-col>
          <ion-col size="6" class="ion-text-center">
            <span class="textotitulo">Tarea</span>
          </ion-col>
        </ion-row>
  
        <ion-row *ngFor="let cita of citas">
          <ion-col size="6" class="ion-text-left elipsis" (click)="mensaje1(cita.Nombre,cita.Motivo,cita.FechaI,cita.HoraI)">
            <span class="text-peueño">{{cita.Nombre}}</span>
          </ion-col>
          <ion-col size="6" class="ion-text-left elipsis" (click)="mensaje1(cita.Nombre,cita.Motivo,cita.FechaI,cita.HoraI)">
            <span class="text-peueño">{{cita.Motivo}}</span>
          </ion-col>
        </ion-row>
      </ion-col>
    </ion-row>
</ion-content>
